---
title: Category
slug: bigboxapi/homedepot-product-data-api/parameters/category
docTags: 
createdAt: 2024-07-22T08:01:06.003Z
---

# Category Parameters

<font color="#52c41a">`GET`</font>  `/request`

The Category Parameters are applicable when making a request with  `type=category`  to retrieve category results from Home Depot. The category is specified in the  `category_id`  parameter. The parameters should be appended as querystring parameters to the Home Depot Product Data API `GET` HTTP request.

Category results are retrieved from the [Category results page](https://www.homedepot.com/b/N-5yc1vZbm92) on Home Depot.

![](https://apiimages.imgix.net/bigboxapi/images/png/docs/category.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Category Results Page")

For example, to request category results for the  `category_id`  of  `N-5yc1vZbm92` , the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.bigboxapi.com/request?api_key=demo&type=category&category_id=N-5yc1vZbm92
```

```curl
curl -L --get https://api.bigboxapi.com/request
-d api_key="demo"
-d type="category"
-d category_id="5F9BB75E8BEE926724ADA8F8C0DAE926912E15A2"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "category",
  category_id: "N-5yc1vZbm92"
}

// make the http GET request to BigBox API
axios.get('https://api.bigboxapi.com/request', { params })
  .then(response => {

    // print the JSON response from BigBox API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'category',
  'category_id': 'N-5yc1vZbm92'
}

# make the http GET request to BigBox API
api_result = requests.get('https://api.bigboxapi.com/request', params)

# print the JSON response from BigBox API
print(json.dumps(api_result.json()))
```
:::

***

### Category Parameters

The following parameters are available for all requests made when  `type=category` .

| *`Parameter`*         | *`Required`*              | *`Description`*                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| --------------------- | ------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| *`category_id`*<br /> | <u>*`required`*</u><br /> | category ID to retrieve results from. You may supply any arbitary value in the  `category_id`  parameter however we recommend using a category ID returned from the [Categories API](https://docs.trajectdata.com/bigboxapi/categories-api/overview) as these are known-good category IDs from Home Depot.<br />                                                                                                                                                                                                                                                                                                                                             |
| *`sort_by`*<br />     | *`optional`*<br />        | Determines how the results are sorted. Valid values are:<br />1. `best_seller`<br />2. Sort results by best selling products first.<br /><br />1. `most_popular`<br />2. Sort results by most popular products first.<br /><br />1. `price_high_to_low`<br />2. Sort results by highest to lowest priced.<br /><br />1. `price_low_to_high`<br />2. Sort results by lowest to highest priced.<br /><br />1. `highest_rating`<br />2. Sort results by highest rated first.<br /><br />:inlineImage[]{src="https://apiimages.imgix.net/bigboxapi/images/png/docs/sort_by.png?auto=format&ixlib=react-9.5.1-beta.1&w=150" alt caption width="150" height="143"} |
| *`min_price`*<br />   | *`optional`*<br />        | Determines the minimum price of results to return, expressed in dollars and cents (i.e.  `min_price=2.99`  for $2.99).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| *`max_price`*<br />   | *`optional`*<br />        | Determines the maximum price of results to return, expressed in dollars and cents (i.e.  `min_price=39.99`  for $39.99).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| *`page`*<br />        | *`optional`*<br />        | The current page of results to retrieve. Inspect the  `pagination`  results property for details on the number of pages available.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| *`max_page`*<br />    | *`optional`*<br />        | Use the  `max_page`  parameter to get multiple pages of results in one request. The API will automatically paginate through pages and concatenate the results into one response.<br /><br />See the [Pagination](https://docs.trajectdata.com/bigboxapi/homedepot-product-data-api/pagination) docs for more information.                                                                                                                                                                                                                                                                                                                                    |
| *`url`*<br />         | *`optional`*<br />        | The Home Depot category results page to retrieve results from.<br /><br />**Note** : If the  `url`  parameter is supplied then all other parameters are ignored as they are overriden be those specified in the  `url`  parameter.                                                                                                                                                                                                                                                                                                                                                                                                                           |

***

**Next Steps**
     [Category Results](https://docs.trajectdata.com/bigboxapi/homedepot-product-data-api/results/category)
